CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2024 开发者帮助

AddDimArc 方法 (ActiveX)

2024-5-18 19:07| 发布者: admin| 查看: 107| 评论: 0|原作者: admin|来自: AutoCAD

AddDimArc 方法 (ActiveX)

创建圆弧的圆弧长度尺寸。

支持的平台:仅限 Windows

签名

VBA:

RetVal = object.AddDimArc(ArcCenter, FirstEndPoint, SecondEndPoint, ArcPoint)
对象

类型:模型空间纸空间

此方法应用到的对象。

弧中心

访问:仅输入

类型:变体(双打的三元素阵列)

指定圆弧中心的 3D WCS 坐标。

第一个端点

访问:仅输入

类型:变体(双打的三元素阵列)

指定第一条延长线经过的点 3D WCS 坐标。

第二个端点

访问:仅输入

类型:变体(双打的三元素阵列)

3D WCS 坐标指定第二条延长线通过的点。

弧点

访问:仅输入

类型:变体(双打的三元素阵列)

指定圆弧上点的 3D WCS 坐标。

返回值 (RetVal)

类型:DimArcLength

新创建的弧长尺寸。

言论



ArcCenter 是要标注尺寸的圆弧的中心。FirstEndPointSecondEndPoint 是两条延伸线经过的点。

例子

VBA:

Sub Example_AddDimArc()
    Dim PI As Double: PI = 3.141592
    Dim oMS As AcadModelSpace
    Set oMS = ThisDrawing.ModelSpace

    Dim ptCenter(2) As Double
    Dim oA As AcadArc
    Set oA = oMS.AddArc(ptCenter, 10, PI / 3, PI * 3 / 4)
    
    Dim ptArcPoint(2) As Double
    ptArcPoint(0) = 0: ptArcPoint(1) = 15
    
    Dim oAcadDimArcLength As AcadDimArcLength
    Set oAcadDimArcLength = oMS.AddDimArc(oA.Center, oA.startPoint, oA.endPoint, ptArcPoint)
    
    Update
    ZoomExtents
End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_AddDimArc()
    ;; This example creates an arc and arc length dimension in model space.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    (setq modelSpace (vla-get-ModelSpace doc))

    ;; Define the arc
    (setq center (vlax-3d-point 0 0 0))

    ;; Create the arc in model space
    (setq arc (vla-AddArc modelSpace center 10 (/ PI 3) (/ (* PI 3) 4)))
    
    ;; Define the arc length dimension
    (setq arcPoint (vlax-3d-point 0 15 0)
          startPoint (vla-get-StartPoint arc)
          endPoint (vla-get-EndPoint arc))
  
    ;; Create the arc length dimension in model space
    (setq dimArcLength (vla-AddDimArc modelSpace center startPoint endPoint arcPoint))
    (vla-ZoomExtents acadObj)
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1   苏公网安备32011402011833)

GMT+8, 2025-1-19 06:53

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部